Update instance email settings
API server
https://app.coolify.io/api/v1Update instance-wide SMTP and Resend settings. Requires write:sensitive and a root-team token belonging to a root-team admin or owner.
Authorization
bearerAuth AuthorizationBearer <token>
Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.
In: header
Response Body
application/json
application/json
curl -X PATCH "https://app.coolify.io/api/v1/settings/email"Empty
{ "message": "Unauthenticated."}Empty
{ "message": "Validation error.", "errors": { "name": [ "The name field is required." ], "api_url": [ "The api url field is required.", "The api url format is invalid." ] }}Get instance email settings GET
Get instance-wide SMTP and Resend settings. Requires a root-team token belonging to a root-team admin or owner. Sensitive fields require the `read:sensitive` or `root` token ability.
Create Environment Shared Env POST
Create a shared environment variable for a project environment (type=environment).
